![BepInEx logo](https://avatars2.githubusercontent.com/u/39589027?s=256)

# BepInExPack for V Rising

This is [BepInEx 6.0.0 Bleeding Edge Build](https://github.com/BepInEx/BepInEx) pack for V Rising.

BepInEx is a general purpose framework for Unity modding.
BepInEx includes tools and libraries to

* load custom code (hereafter *plugins*) into the game on launch;
* patch in-game methods, classes and even entire assemblies without touching original game files;
* configure plugins and log game to desired outputs like console or file;
* manage plugin dependencies.

BepInEx is currently [one of the most popular modding tools for Unity on GitHub](https://github.com/topics/modding?o=desc&s=stars).

## THESE ARE BLEEDING EDGE BUILDS

Bleeding edge builds of BepInEx are not considered stable and may include bugs.
Please report any issues to [BepInEx GitHub by creating issue tickets](https://github.com/BepInEx/BepInEx).

## This pack's contents

This pack is preconfigured and usable for V Rising modding.  
In particular, the changes from base BepInEx releases are:

* Added preconfigured `BepInEx.cfg` with console enabled.

## Installation (manual)

If you are installing this manually, do the following

1. Extract the archive into a folder. **Do not extract into the game folder.**
2. Move the contents of `BepInExPack_V_Rising` folder into `<Steam Location>\steamapps\common\VRising`.
3. Run the game

If done correctly, you should see a BepInEx console appearing when the game launches.

## Issues, questions, etc.

At this moment, you can use the following channels to ask for help
* [V Rising Modding Discord](https://discord.gg/jXKwzaSQhy)
* [BepInEx Discord](https://discord.gg/MpFEDAg) -- **Only technical support for THIS PACKAGE. No support for plugins.**

## Changelog

#### 1.0.0 (based on BepInEx 6.0.0-be.567)

* Initial release